<?xml version="1.0" encoding="UTF-8"?>

<!--
/**
 *
 * @author Bartlomiej Tomasz Urbaniec
 */
-->

<ns1:fieldDescriptions
    xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance'
    xmlns:ns1='http://www.fielddescriptionmapping.extendedconfig.plugins.unicos.cern.ch.research'
    xsi:schemaLocation='http://www.fielddescriptionmapping.extendedconfig.plugins.unicos.cern.ch.research'>
    <ns1:fieldDescription>         
        <ns1:field>publisher</ns1:field>         
        <ns1:name>Publisher</ns1:name>         
        <ns1:description>Name of the server publishing the DIP item </ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>timeout</ns1:field>         
        <ns1:name>Query Timeout</ns1:name>         
        <ns1:description>Allows to specify how long to wait for the response from the API Manager</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>publicationPrefix</ns1:field>         
        <ns1:name>Publication Prefix</ns1:name>         
        <ns1:description>Prefix to all the publication published by this DIP server</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>managerNumber</ns1:field>         
        <ns1:name>Manager Number</ns1:name>         
        <ns1:description>DIP API winccoa manager number, the DIP manager will started with the option –num x, x=managerNumber</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>alias</ns1:field>         
        <ns1:name>Alias</ns1:name>         
        <ns1:description>Device name</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>deviceType</ns1:field>         
        <ns1:name>Device Type</ns1:name>         
        <ns1:description>Type of the device</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>publicationName</ns1:field>         
        <ns1:name>Publication Name</ns1:name>         
        <ns1:description>DIP publication name of the device data</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>element</ns1:field>         
        <ns1:name>Element</ns1:name>         
        <ns1:description>DPE of the device that will be published</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>tag</ns1:field>         
        <ns1:name>Tag</ns1:name>         
        <ns1:description>Used in case of a multiple publication to differentiate the value of a same publication name </ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>buffer</ns1:field>         
        <ns1:name>Buffer</ns1:name>         
        <ns1:description>Value for the buffer time </ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>freeData</ns1:field>         
        <ns1:name>Free Data</ns1:name>         
        <ns1:description>Any other data from any other device types than the ones known and configured.</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>transformationType</ns1:field>         
        <ns1:name>Transformation Type</ns1:name>         
        <ns1:description>Type of the DIP publication tag.</ns1:description>     
    </ns1:fieldDescription>  

    
</ns1:fieldDescriptions>